# DiastaticMalt

DiastaticMalt is a tool for source-to-source transformations and operator
overloading in Python, including the overloading built-in Python keywords.
It can be utilized to transform regular Python code into a new form better
suited for specific purposes, such as program capture.

The contents of DiastaticMalt are copied with modification from the TensorFlow project,
in particular the [AutoGraph](https://www.tensorflow.org/versions/r2.0/api_docs/python/tf/autograph)
module, under the Apache 2.0 license, allowing the use of AutoGraph functionality without
depending on TensorFlow. The modifications made here may eventually be contributed
to TensorFlow.

## Installation

DiastaticMalt can be installed via ``pip``:

```console
pip install diastatic-malt
```

## Contributing to DiastaticMalt

We welcome contributions — simply fork the DiastaticMalt repository, and then make a [pull
request](https://help.github.com/articles/about-pull-requests/) containing your contribution.

We also encourage bug reports, suggestions for new features and enhancements.

## Support

- **Source Code:** https://github.com/PennyLaneAI/diastatic-malt
- **Issue Tracker:** https://github.com/PennyLaneAI/diastatic-malt/issues

If you are having issues, please let us know by posting the issue on our GitHub issue tracker.

We also have a [PennyLane discussion forum](https://discuss.pennylane.ai)—come join the community
and chat with the PennyLane team.

Note that we are committed to providing a friendly, safe, and welcoming environment for all. Please
read and respect the [Code of Conduct](.github/CODE_OF_CONDUCT.md).

## License

DiastaticMalt is **free** and **open source**, released under the Apache License, Version 2.0.
